# ScatterMode

Determines the direction of a scatter

### Synopsis

    typedef enum {SCATTER_FORWARD=0, SCATTER_REVERSE=1, SCATTER_FORWARD_LOCAL=2, SCATTER_REVERSE_LOCAL=3, SCATTER_LOCAL=2} ScatterMode;

### See Also

VecScatter, VecScatterBegin(), VecScatterEnd()

Level:beginner
Location: include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages